com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonObjectFormatVisitor

All Superinterfaces:
  JsonFormatVisitorWithSerializerProvider

    public interface JsonObjectFormatVisitor
    extends JsonFormatVisitorWithSerializerProvider

### Method Summary

Methods
`void` `optionalProperty(BeanProperty writer)`
`void` `optionalProperty(String name)`
`void` `optionalProperty(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
`void` `property(BeanProperty writer)`
`void` `property(String name)`
`void` `property(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`

### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

`getProvider, setProvider`

### Method Detail

#### property

    void property(BeanProperty writer)

#### optionalProperty

    void optionalProperty(BeanProperty writer)

#### property

    void property(String name,
                JsonFormatVisitable handler,
                JavaType propertyTypeHint)

#### optionalProperty

    void optionalProperty(String name,
                        JsonFormatVisitable handler,
                        JavaType propertyTypeHint)

#### property

    void property(String name)

#### optionalProperty

    void optionalProperty(String name)